Bug 441153 - segfault in debug mode
segfault in debug mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dhcpv6 (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 17:07 EDT by Sam W.
Modified: 2008-06-24 22:49 EDT (History)
0 users

See Also:
Fixed In Version: 0.10-52.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-24 22:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam W. 2008-04-06 17:07:51 EDT
Description of problem:

segfault running with -D -f

Version-Release number of selected component (if applicable):

dhcpv6-client-0.10-51.fc8

How reproducible:

minimally, but filing this one for completeness

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Apr/06/2008 16:27:19 extracted an existing DUID from /var/lib/dhcpv6/dhcp6c_duid
: 00:01:00:01:0f:6.....
Apr/06/2008 16:27:19 link local addr is fe80::20e:35ff:feb6:227a
Apr/06/2008 16:27:19 res addr is fe80::20e:35ff:feb6:227a%eth3/28
Apr/06/2008 16:27:19 bind(inbound): Address already in use
Apr/06/2008 16:27:19 found an interface eth0 harware 00:14:22:bd:bf:6a
Apr/06/2008 16:27:19  create iaid 3173127168 for interface eth0
Apr/06/2008 16:27:19 found an interface eth3 harware 00:0e:35:b6:22:7a
Apr/06/2008 16:27:19  create iaid 3056930304 for interface eth3
Apr/06/2008 16:27:19 found an interface eth3 harware 00:0e:35:b6:22:7a
Apr/06/2008 16:27:19  create iaid 3056930304 for interface eth3
Apr/06/2008 16:27:19 found an interface eth3 harware 00:0e:35:b6:22:7a
Apr/06/2008 16:27:19  create iaid 3056930304 for interface eth3
Apr/06/2008 16:27:19 found an interface eth3 harware 00:0e:35:b6:22:7a
Apr/06/2008 16:27:19  found interface eth3 iaid 3056930304
Apr/06/2008 16:27:19 interface eth3 iaid is 3056930304
Apr/06/2008 16:27:19 open_netlink_socket called
Apr/06/2008 16:27:19 netlink_send_rtmsg called
Apr/06/2008 16:27:19 netlink_recv_rtgenmsg called
Apr/06/2008 16:27:19 netlink_send_rtgenmsg called
Apr/06/2008 16:27:19 netlink_recv_rtgenmsg called
Apr/06/2008 16:27:19 get_if_flags called
Apr/06/2008 16:27:19 get_if_flags called
Apr/06/2008 16:27:19 get_if_flags called
Apr/06/2008 16:27:19 interface otherconf flags set
Apr/06/2008 16:27:19 create an event 0x9afe320 xid 0 for state 0
Apr/06/2008 16:27:19 reset a timer on eth3, state=INIT, timeo=0, retrans=709
Apr/06/2008 16:27:20 ifp 0x9afe008 event 0x9afe320 a new XID (16a092) is generat
ed
Apr/06/2008 16:27:20 set client ID
Apr/06/2008 16:27:20 set opt_8
Segmentation fault
Comment 1 Fedora Update System 2008-04-23 23:34:33 EDT
dhcpv6-0.10-52.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-04-29 16:57:06 EDT
dhcpv6-0.10-52.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcpv6'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3372
Comment 3 Fedora Update System 2008-06-24 22:49:54 EDT
dhcpv6-0.10-52.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.